This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005057 - SELinux prevents postfix/local from doing getserv and shmemserv
SELinux prevents postfix/local from doing getserv and shmemserv
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 03:09 EDT by Milos Malik
Modified: 2014-06-17 22:26 EDT (History)
0 users

See Also:
Fixed In Version: selinux-policy-3.12.1-86.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:54:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2013-09-06 03:09:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):
nscd-2.17-21.el7.x86_64
postfix-2.10.1-2.el7.x86_64
postfix-perl-scripts-2.10.1-2.el7.x86_64
postfix-sysvinit-2.10.1-2.el7.noarch
selinux-policy-3.12.1-76.el7.noarch
selinux-policy-devel-3.12.1-76.el7.noarch
selinux-policy-doc-3.12.1-76.el7.noarch
selinux-policy-minimum-3.12.1-76.el7.noarch
selinux-policy-mls-3.12.1-76.el7.noarch
selinux-policy-targeted-3.12.1-76.el7.noarch

How reproducible:
everytime postfix/local wants to deliver a mail

Actual results:
----
type=USER_AVC msg=audit(09/06/2013 08:55:01.841:6390) : pid=16958 uid=nscd auid=unset ses=unset  subj=system_u:system_r:nscd_t:s0 msg='avc:  denied  { shmemserv } for  scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:system_r:nscd_t:s0 tclass=nscd  exe=? sauid=nscd hostname=? addr=? terminal=?' 
----
type=USER_AVC msg=audit(09/06/2013 08:55:01.841:6391) : pid=16958 uid=nscd auid=unset ses=unset  subj=system_u:system_r:nscd_t:s0 msg='avc:  denied  { getserv } for  scontext=system_u:system_r:postfix_local_t:s0 tcontext=system_u:system_r:nscd_t:s0 tclass=nscd  exe=? sauid=nscd hostname=? addr=? terminal=?' 
----

Expected results:
 * no AVCs
Comment 1 Miroslav Grepl 2013-10-03 17:47:06 EDT
commit 1146f192a0f6bf740bda897ab9a44ae1e60c0478
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu Oct 3 23:46:43 2013 +0200

    Fix nscd_shm_use()
Comment 3 Ludek Smid 2014-06-13 08:54:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.